import React from "react";
export declare type ButtonSize = "lg" | "sm";
export declare type ButtonType = "primary" | "default" | "danger" | "link" | "ghost";
interface BaseButtonProps {
    /** 设置 Button 的classname */
    className?: string;
    /** 设置 Button 的尺寸 */
    size?: ButtonSize;
    /** 设置 Button 是否禁用 */
    disabled?: boolean;
    /**设 置 Button 类型 */
    btnType?: ButtonType;
    /** 设置 Button 文案 */
    children?: React.ReactNode;
    /** 设置 Button 类型为link时的跳转地址 */
    href?: string;
}
declare type NativeButtonProps = BaseButtonProps & React.ButtonHTMLAttributes<HTMLElement>;
declare type NativeAnchorProps = BaseButtonProps & React.AnchorHTMLAttributes<HTMLElement>;
export declare type ButtonProps = Partial<NativeButtonProps & NativeAnchorProps>;
/** 这是一个按钮 */
declare const Button: React.FC<ButtonProps>;
export default Button;
